Page MenuHomePhabricator

Correct cache_status field on webrequest dataset
Closed, ResolvedPublic

Event Timeline

Nuria created this task.Aug 8 2016, 5:08 PM
Restricted Application added a project: Operations. · View Herald TranscriptAug 8 2016, 5:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 303578 had a related patch set uploaded (by BBlack):
VCL: emit X-Cache-Status response header

https://gerrit.wikimedia.org/r/303578

Change 303579 had a related patch set uploaded (by BBlack):
vk webrequest: use X-Cache-Status for cache_status

https://gerrit.wikimedia.org/r/303579

Change 303578 merged by BBlack:
VCL: emit X-Cache-Status response header

https://gerrit.wikimedia.org/r/303578

Nuria added a subscriber: elukey.Aug 9 2016, 3:32 PM

@elukey : If I understand things right this changeset will emit a new header that we need to publish via varnishkafka. The header value should replace whatever value is going into cache_status at this time.. correct?

Change 303579 merged by BBlack:
vk webrequest: use X-Cache-Status for cache_status

https://gerrit.wikimedia.org/r/303579

BBlack added a subscriber: BBlack.Aug 9 2016, 3:37 PM

@Nuria + @elukey - the second patch just merged above takes care of the varnishkafka part. So this should gradually go live over the next ~30 minutes.

@BBlack thanks a lot! I checked https://grafana.wikimedia.org/dashboard/db/varnishkafka and everything looks good, plus the cache_status field looks sane from kafkacat on stat1002.

@Nuria I don't think that there is anything left to do, what do you think?

akosiaris triaged this task as Normal priority.Aug 11 2016, 2:16 PM
BBlack closed this task as Resolved.Aug 11 2016, 2:16 PM
BBlack claimed this task.

I think we're done here, assuming the data looks sane on the analytics end.